Package org.snpsift.annotate

# Class MarkerFile

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpsift.annotate.MarkerFile

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<org.snpeff.interval.Interval>`, `org.snpeff.serializer.TxtSerializable`

public class MarkerFile extends org.snpeff.interval.Marker
Represents a marker in a file (located at 'fileIdx' bytes since the beginning of the file)

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`fileIdx`

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`MarkerFile(org.snpeff.interval.Marker parent, int start, int end, long fileIdx)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getFileIdx()`
`String`
`toString()`

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, cloneShallow, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffect, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileIdx

protected long fileIdx

## Constructor Details

### MarkerFile

public MarkerFile(org.snpeff.interval.Marker parent, int start, int end, long fileIdx)

## Method Details

### getFileIdx

public long getFileIdx()

### toString

public String toString()

Overrides:
  `toString` in class `org.snpeff.interval.Marker`